# Constraints on obstacle positions
problems = {
    'left': [
        ((-1, 0), (-1, 1))
        ],
    'right': [
        ((0, 1), (-1, 1))
        ],
    'circle':  [
        ((0, 0), (0.5)),
        ],
    'balbis': [
        ((-0.67, -0.33), (-0.5, 0.5)),
        ((-0.33, 0.33), (-0.15, 0.15)),
        ((0.33, 0.67), (-0.5, 0.5)),
    ],
    'einstein_tile': [
        ((-0.40, 0), (-0.825, -0.25), (-0.70, -0.50)), 
        ((-0.40, 0), (-0.40, -0.50), (-0.70, -0.50)), 
        ((-0.40, 0), (-0.40, -0.50), (-0.10, -0.50)), 
        ((-0.40, 0), (0.08, -0.25), (-0.10, -0.50)),     
        ((-0.40, 0), (0.08, -0.25), (0.25, 0)),          
        ((0.50, -0.50), (0.08, -0.25), (0.25, 0)),       
        ((0.50, -0.50), (0.5, 0), (0.25, 0)),         
        ((0.50, -0.50), (0.5, 0), (0.75, 0)),          
        ((0.50, -0.50), (0.90, -0.25), (0.75, 0)),    
        ((0.50, 0.50), (0.50, 0), (0.25, 0)),          
        ((0.50, 0.50), (0, 0.25), (0.25, 0)),         
        ((0.50, 0.50), (0, 0.25), (-0.10, 0.50)),      
        ((0.50, 0.50), (0.10, 0.75), (-0.10, 0.50)),   
        ((-0.40, 0), (0, 0.25), (-0.10, 0.50)),           
        ((-0.40, 0), (-0.40, 0.50), (-0.10, 0.50)),       
        ((-0.40, 0), (0, 0.25), (0.25, 0)),  
    ],
    'quarters': [
        ((-1, -0.450), (-0.20, 0.20)),
        ((-0.20, 0.20), (0.450, 1)),
        ((0.450, 1), (-0.20, 0.20)),
        ((-0.20, 0.20), (-1, -0.450)),
        ],
    'cross': [
        ((-0.1875, 0.1875), (0, 0.7)),
        ((-0.1875, 0.1875), (-0.7, 0)),
        ((-0.7, 0), (-0.1875, 0.1875)),
        ((0, 0.7), (-0.1875, 0.1875)),
        ],
    'corners': [
        ((1, 1), (1, 0.75), (0.75, 1)),
        ((1, -1), (1, -0.75), (0.75, -1)),
        ((-1, -1), (-1, -0.75), (-0.75, -1)),
        ((-1, 1), (-1, 0.75), (-0.75, 1)),
        ],
    }

def get_problem_list():
    return list(problems.keys())

def get_problem_instance(instance_name):
    instance_constr = problems[instance_name]
    return instance_constr